logging:
  level:
    root: warn

mybatis:
  mapperLocations: classpath:mapper/*.xml

spring:
  datasource:
    url: jdbc:mysql://10.101.8.44/ic?characterEncoding=utf8&allowMultiQueries=true&autoReconnect=true&useSSL=false
    username: mysql
    password: mysql2020
    driver-class-name: com.mysql.jdbc.Driver
    ##  Hikari 连接池配置 ------ 详细配置请访问：https://github.com/brettwooldridge/HikariCP
    hikari:
      ## 最小空闲连接数量
      minimum-idle: 5
      ## 空闲连接存活最大时间，默认600000（10分钟）
      idle-timeout: 18000
      ## 连接池最大连接数，默认是10
      maximum-pool-size: 600
      ## 此属性控制从池返回的连接的默认自动提交行为,默认值：true
      auto-commit: true
      ## 连接池母子
      pool-name: OfficialWebsiteHikariCP
      ## 此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟
      max-lifetime: 1800000
      ## 数据库连接超时时间,默认30秒，即30000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  redis:
    database: 0
    host: 10.101.8.48
    port: 6379
    password:
    jedis:
      pool:
        max-wait: -1
        max-active: 500
        max-idle: 50
        min-idle: 10
    timeout: 30000

##开发环境
server:
  port: 8080
  servlet:
    context-path: /


bsd:
  vip: http://10.101.10.24:80/BSD_WXAPP/miniProgram/getMemberDtlByUnionId?token=
  qrCode: http://10.101.10.24:80/BSD_WXAPP/qyWechat/getShareQRcode?token=
  userBehavior: http://10.101.10.24:80/BSD_WXAPP/qyWechat/getUserBehaviorData?token=
  cancelQrCode: http://10.101.10.24:80/BSD_WXAPP/qyWechat/cancelShareQRcode?token=